<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <link rel="stylesheet" href="style.css" />
        <title>Tableau</title>
    </head>
 
    <body> 
	<?php
		/*echo '<h1>CODE PHP</h1>';
		highlight_file(basename(__FILE__));
		echo '<h1>RESULTATS</h1>';*/

		include_once("fonctionsUnUtilisateur.php");
		include_once("fonctionsLesUtilisateurs.php");

		// on crée le tableau ici : il est vide et pourra être passé en paramètre au fonctions.
		// ce ,'est pas obligé mais c'est plus clair 
		$utilisateur=creerUtilisateur('Sia PEI','ji@gmail.com','jipei',1994);
		print_rUtilisateur($utilisateur);
		afficherUtilisateur($utilisateur);
		afficherUtilisateurStyle($utilisateur);

		$lesUtilisateurs[] = $utilisateur;
		$lesUtilisateurs[] = creerUtilisateur('Yawei CAI','jawei@yahoo.com','yaweicai',1995);
		$lesUtilisateurs[] = creerUtilisateur('Zikeng PENG','zikeng@china.com','zikeng',1993);
		$lesUtilisateurs[] = creerUtilisateur('Jiawen LI','jiawen@orange.fr','jiawen',1994);
		$lesUtilisateurs[] = creerUtilisateur('Xiaoyu LIU','xiowyu@gmail.fr','liu',1995);
		$lesUtilisateurs[] = creerUtilisateur('Olivier TRAN','tran@gmailcom','olivier',1996);

		// affichage du tableau avec un print_r
		echo '<h2>affichage avec un print_r</h2>';
		print_rLesUtilisateurs($lesUtilisateurs);

		// affichage du tableau avec un for
		echo '<h2>affichage avec un for</h2>';
		afficherLesUtilisateursFor($lesUtilisateurs);

		// affichage du tableau avec un foreach
		echo '<h2>affichage avec un foreach</h2>';
		afficherLesUtilisateurs($lesUtilisateurs);

		// affichage du tableau avec un foreach
		echo '<h2>affichage avec un foreach</h2>';
		afficherLesUtilisateursStyle($lesUtilisateurs);

		// affichage du tableau trié par age décroissant
		triLesUtilisateurs($lesUtilisateurs, 'anneeNaissance', SORT_ASC);
		echo '<h2>affichage trié par age décroissant : </h2>';
		afficherLesUtilisateursStyle($lesUtilisateurs);

		// affichage du tableau trié par nom décroissant
		triLesUtilisateurs($lesUtilisateurs, 'nom', SORT_DESC);
		echo '<h2>affichage trié par nom décroissant : </h2>';
		afficherLesUtilisateursStyle($lesUtilisateurs);

		// affichage du tableau trié par age croissant et nom décroissant
		triLesUtilisateurs2($lesUtilisateurs, 'anneeNaissance', SORT_DESC, 'nom', SORT_DESC);
		echo '<h2>affichage trié par age croissant et nom décroissant : </h2>';
		afficherLesUtilisateursStyle($lesUtilisateurs);
	?>
	</body>	
</html>